stetl(1)

NAME
stetl - Stetle commandline utility

SYNOPSIS
\FCstetl\F[]
\FC-c\F[] etl.cfg [\FC-s\F[] section_name] [\FC-a\F[] arglist] [\FC-h\F[] subject datavalue]

DESCRIPTION
stetl is the commandline utility for the Stetl geospatial ETL framework.

OPTIONS

\FC-c\F[] config_file, \FC--config\F[] config_file
    Path to Stetl config file

\FC-s\F[] section_name, \FC--section\F[] section_name
    The section in the Stetl config (ini) file to execute (default is \FC[etl]\F[])

\FC-a\F[] arglist, \FC--args\F[] arglist
    Arguments or .properties file to be substituted for \FC{argN}\F[]s in config file, as \FC-a\F[] "arg1=foo arg2=bar" or \FC-a\F[] args.properties

\FC-d\F[] class, \FC--doc\F[] class
    Get component documentation like its configuration parameters, e.g.

    \FC
    stetl doc stetl.inputs.fileinput.FileInput
                \F[]